Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatPhotoSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPhotoSticker

Enclosing class:
  TdApi

public static final class TdApi.ChatPhotoSticker extends TdApi.Object
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.BackgroundFill`
`backgroundFill`
The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ChatPhotoStickerType`
`type`
Type of the sticker.

## Constructor Summary

Constructors
Constructor
Description
`ChatPhotoSticker()`
Information about the sticker, which was used to create the chat photo.
`ChatPhotoSticker(TdApi.ChatPhotoStickerType type, TdApi.BackgroundFill backgroundFill)`
Information about the sticker, which was used to create the chat photo.
`ChatPhotoSticker(DataInput input)`
Information about the sticker, which was used to create the chat photo.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.ChatPhotoStickerType type
Type of the sticker.

### backgroundFill

public TdApi.BackgroundFill backgroundFill
The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatPhotoSticker

public ChatPhotoSticker()
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

### ChatPhotoSticker

public ChatPhotoSticker(TdApi.ChatPhotoStickerType type, TdApi.BackgroundFill backgroundFill)
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

Parameters:
  `type` - Type of the sticker.
  `backgroundFill` - The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.

### ChatPhotoSticker

public ChatPhotoSticker(DataInput input) throws IOException
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`